Instructions d'installation d'Anope
-----------------------------------

1) Installation d'Anope
2) Mettre à jour Anope
3) Configuration de l'IRCd
4) Mettre en route Anope
5) Mettre en place un crontab

Note : Vous devrez également lire les fichiers README et FAQ !

1) Installation d'Anope

    NOTE IMPORTANTE : il est déconseillé d'utiliser (et même d'installer)
                      Anope en tant que root. Utilisez un utilisateur non
                      privilégié. Celui que vous utilisez pour l'IRCd ou
		              un utilisateur dédié suffira.

    La première chose que vous devez faire est d'obtenir le package Anope
    (si ce n'est déjà fait). Vous pouvez le trouver ici :

        https://www.anope.org/

    Anope nécessite cmake pour être compilé. Vous pouvez vérifier si CMake
    est déjà installé sur votre système avec la commande :

        cmake --version

    Si CMake est installé, vous aurez une ligne qui dit quelque chose comme
    "cmake version 2.8.12.2". Si la version est inférieure à 2.4 ou si vous
    obtenez une erreur disant que la commande n'a pas été trouvée, vous ne
    pourrez pas utiliser CMake à moins de l'installer vous-même dans votre
    répertoire home. CMake peut être téléchargé ici :

        https://cmake.org/download/

    Ensuite, décompressez le package dans votre répertoire home, et allez
    dans le répértoire qui vient d'être créé.

    Si il y a des modules facultatifs que vous voulez activer comme m_mysql,
    exécuter le script 'extras' pour les activer. Si vous ne savez pas, vous
    pouvez les activer plus tard.

    Maintenant, tapez ./Config pour lancer le script de configuration. Il
    va vous poser quelques questions, et déterminer comment compiler Anope
    sur votre système. Si vous ne savez pas comment répondre à une question,
    utilisez la valeur par défaut.

    Allez dans le dossier build (cd build) et tapez make et make install.
    Ceci va installer tous les fichiers nécessaires dans les dossiers que
    vous avez indiqués avec le script Config et régler les permissions des
    fichiers. Vous devez vous assurer que le répertoire data n'est pas 
    accessible par les autres utilisateurs, car des utilisateurs
    malveillants pourraient causer des problèmes sur votre réseau, si les
    mots de passe ne sont pas chiffrés, ou lire les mémos de tous les
    utilisateurs.

    Allez maintenant dans le répertoire conf (par défaut, ~/services/conf).
    Copiez l'exemple de fichier de configuration (example.conf) en
    services.conf et ouvrez ce dernier avec votre éditeur de texte favori.
    Il contient toutes les directives de configuration qu'Anope va utiliser
    en démarrant. Lisez attentivement les instructions contenues dans le
    fichier. L'utilisation des valeurs par défaut n'est pas toujours
    recommandée, et Anope ne fonctionnera probablement pas !

    Si vous avez besoin d'aide, vous pouvez aller sur le site
    https://forum.anope.org/ ou le canal #anope sur irc.anope.org.
    Fournissez *l'essemble* des erreurs qui apparaîssent, en plus de
    toutes informations utiles, comme les versions de votre OS, du
    compilateur utilisé et de la librairie C++. Lisez le fichier README
    pour plus d'informations.

2) Mettre à jour Anope

    Pour mettre à jour Anope, suivez simplement les instructions
    d'installation décrites dans la section 1. Prenez garde cependant :

        * IMPORTANT : Sauvegardez vos anciennes bases de données !
        * Si vous mettez à jour vers une nouvelle version majeure,
          recommencez *toujours* toute votre configuration à partir du
          fichier example.conf.

3) Configuration de l'IRCd

    Les Services agissent comme un serveur IRC avec des pseudo-clients.
    Pour les relier à votre réseau, vous aurez besoin de configurer votre
    IRCd pour permettre aux services de se connecter.

    La configuration dépend de l'IRCd utilisé, mais vous aurez probablement
    besoin d'un bloc link (aussi appelé connect block, ou C:line) et un
    U:line (aussi appelé shared block). Assurez-vous que l'IRCd écoute
    sur le port donné dans le bloc link.

    Des exemples de configurations de bloc link peuvent être trouvés dans
    le fichier example.conf pour certains des IRCd les plus populaires.

    Souvenez-vous de /rehash votre IRCd pour appliquer les changements.

    Vous pouvez également essayer notre créateur de bloc link interactif
    situé ici :

        https://www.anope.org/ilm.php

4) Mettre en route Anope

    Allez dans le répertoire où les fichiers binaires ont été installés
    (par défaut, ~/services/bin). Tapez ./services pour lancer Anope.

    S'il y a des erreurs de syntaxe dans le fichier de configuration, elles
    seront affichées à l'écran. Corrigez-les jusqu'à ce qu'il n'y en ait
    plus. Un démarrage réussi ne générera pas de message.

    Donnez aux services au moins une minute pour se connecter à votre
    réseau, car certains IRCds sur certains systèmes peuvent être très
    lents pour le processus de liaison. Si rien ne se passe après environ
    une minute, il y a probablement un problème de configuration. Essayez
    de lancer Anope en mode debug avec ./services -debug -nofork pour voir
    toutes les erreurs rencontrées et essayez de les corriger.

    Si vous avez besoin d'aide pour résoudre des erreurs, n'hésitez pas à
    vous abonner à la liste de diffusion Anope et d'y poser vos question.
    Voir le fichier README pour plus de détails.

5) Mettre en place un crontab

    Une entrée crontab vous permettra de vérifier périodiquement si Anope
    est toujours en cours d'exécution et de le redémarrer s'il n'est pas.

    D'abord renommez le script example.chk qui est dans les dossiers
    d'Anope (par défaut, ~/services/conf) en services.chk et modifiez-le.
    Vous aurez besoin de modifier la partie CONFIGURATION du fichier.
    Assurez-vous ensuite que le fichier est marqué comme exécutable en
    tapant chmod +x services.chk et essayez de lancer le script pour voir
    si cela fonctionne (Anope ne doit pas être en marche lorsque vous
    testez cela ;))

    Lorsque c'est fait, vous devrez ajouter l'entrée crontab. Entrez
    crontab -e. Cela va ouvrir l'éditeur de texte par défaut avec le
    fichier crontab. Entrez la ligne suivante (avec le chemin correct) :

        */5 * * * * /home/ircd/services/conf/services.chk > /dev/null 2>&1

    Le */5 au début signifie "vérifier toutes les 5 minutes". Vous pouvez
    remplacer le 5 par un autre numéro si vous voulez (mais moins de 60).
    Consultez les pages de manuel de votre système pour plus de détails sur
    la  syntaxe du fichier crontab. Les pages de manuel intéressantes sont
    crontab(5), crontab(1) et cron(8).

    Sauvegardez, quittez, et c'est installé !
